<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Crash Qualité/Machines/Update"></app-top-bar>
  <div class="main-div">
    <mat-card class="m-10 mat-elevation-z4 ">
      <mat-card-header>
        <mat-card-title>Formulaire - Modifier une machine</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form class="example-form" (ngSubmit)="!machineForm.invalid && save()" #machineForm="ngForm">
          <mat-form-field class="example-full-width">
            <mat-label>Nom de la machine</mat-label>
            <input minlength="3" [(ngModel)]="temp.machine" name="machine" matInput
                   placeholder="Ex. Dépilage" required>
            <mat-error *ngIf="temp.machine.length<3">Une valeur d'au moins 3 caractères est requise</mat-error>
          </mat-form-field>
          <mat-form-field appearance="fill" class="select-form">
            <mat-label>Process du critère</mat-label>
            <mat-select name="FK_processId" [(ngModel)]="temp.listLignes" multiple required>
              <mat-option *ngFor="let ligne of listLignes" [value]="ligne.ligneId">
                {{ligne.ligne}}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="temp.listLignes === null">Une valeur est requise</mat-error>
          </mat-form-field>
          <button type="submit" [disabled]="!machineForm.valid" mat-flat-button color="primary">Ajouter</button>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>
